# Interface DuplexOptions

#### Hierarchy

- ReadableOptions
- WritableOptions
  - DuplexOptions
    - TransformOptions

#####
Index

### Properties

allowHalfOpen?
autoDestroy?
decodeStrings?
defaultEncoding?
emitClose?
encoding?
highWaterMark?
objectMode?
readableHighWaterMark?
readableObjectMode?
signal?
writableCorked?
writableHighWaterMark?
writableObjectMode?

### Methods

construct?
destroy?
final?
read?
write?
writev?

## Properties

### `Optional` allowHalfOpen

allowHalfOpen?: boolean

### `Optional` autoDestroy

autoDestroy?: boolean

Inherited from WritableOptions.autoDestroy

### `Optional` decodeStrings

decodeStrings?: boolean

Inherited from WritableOptions.decodeStrings

### `Optional` defaultEncoding

defaultEncoding?: BufferEncoding

Inherited from WritableOptions.defaultEncoding

### `Optional` emitClose

emitClose?: boolean

Inherited from WritableOptions.emitClose

### `Optional` encoding

encoding?: BufferEncoding

Inherited from ReadableOptions.encoding

### `Optional` highWaterMark

highWaterMark?: number

Inherited from WritableOptions.highWaterMark

### `Optional` objectMode

objectMode?: boolean

Inherited from WritableOptions.objectMode

### `Optional` readableHighWaterMark

readableHighWaterMark?: number

### `Optional` readableObjectMode

readableObjectMode?: boolean

### `Optional` signal

signal?: AbortSignal

When provided the corresponding `AbortController` can be used to cancel an asynchronous action.

Inherited from WritableOptions.signal

### `Optional` writableCorked

writableCorked?: number

### `Optional` writableHighWaterMark

writableHighWaterMark?: number

### `Optional` writableObjectMode

writableObjectMode?: boolean

## Methods

### `Optional` construct

- construct(this, callback): void

- #### Parameters

  - ##### this: Duplex

  - ##### callback: ((error?) => void)

    - - (error?): void

      - #### Parameters

        - ##### `Optional` error: null | Error

        #### Returns void

  Overrides WritableOptions.construct

### `Optional` destroy

- destroy(this, error, callback): void

- #### Parameters

  - ##### this: Duplex

  - ##### error: null | Error

  - ##### callback: ((error?) => void)

    - - (error?): void

      - #### Parameters

        - ##### `Optional` error: null | Error

        #### Returns void

  Overrides WritableOptions.destroy

### `Optional` final

- final(this, callback): void

- #### Parameters

  - ##### this: Duplex

  - ##### callback: ((error?) => void)

    - - (error?): void

      - #### Parameters

        - ##### `Optional` error: null | Error

        #### Returns void

  Overrides WritableOptions.final

### `Optional` read

- read(this, size): void

- #### Parameters

  - ##### this: Duplex

  - ##### size: number

  #### Returns void

  Overrides ReadableOptions.read

### `Optional` write

- write(this, chunk, encoding, callback): void

- #### Parameters

  - ##### this: Duplex

  - ##### chunk: any

  - ##### encoding: BufferEncoding

  - ##### callback: ((error?) => void)

    - - (error?): void

      - #### Parameters

        - ##### `Optional` error: null | Error

        #### Returns void

  Overrides WritableOptions.write

### `Optional` writev

- writev(this, chunks, callback): void

- #### Parameters

  - ##### this: Duplex

  - ##### chunks: {
    chunk: any;
    encoding: BufferEncoding;
    }[]

  - ##### callback: ((error?) => void)

    - - (error?): void

      - #### Parameters

        - ##### `Optional` error: null | Error

        #### Returns void

  Overrides WritableOptions.writev

Generated using TypeDoc